Index: palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- palm/trunk/SOURCE/init_rankine.f90	(revision 4901)
+++ palm/trunk/SOURCE/init_rankine.f90	(revision 1)
@@ -1,37 +1,43 @@
-!> @file init_rankine.f90
-!--------------------------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
-! Public License as published by the Free Software Foundation, either version 3 of the License, or
-! (at your option) any later version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
-! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-! Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with PALM. If not, see
-! <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------------------------!
-!
-! Current revisions:
+ SUBROUTINE init_rankine
+
+!------------------------------------------------------------------------------!
+! Actual revisions:
 ! -----------------
-!
+! 
 !
 ! Former revisions:
 ! -----------------
-! $Id$
-! file re-formatted to follow the PALM coding standard
+! $Log: init_rankine.f90,v $
+! Revision 1.11  2005/03/26 20:38:49  raasch
+! Arguments for non-cyclic boundary conditions added to argument list of
+! routine exchange_horiz
 !
-! 4457 2020-03-11 14:20:43Z raasch
-! use statement for exchange horiz added
+! Revision 1.10  2004/01/28 15:11:27  raasch
+! Setting of bt before calling pres removed
 !
-! 4360 2020-01-07 11:25:50Z suehring
-! Corrected "Former revisions" section
+! Revision 1.9  2001/03/30 07:32:49  raasch
+! Arguments removed from pres,
+! Translation of remaining German identifiers (variables, subroutines, etc.)
 !
-! 3655 2019-01-07 16:51:22Z knoop
-! Modularization of all bulk cloud physics code components
+! Revision 1.8  2001/01/22 19:44:52  letzel
+! All comments translated into English.
+!
+! Revision 1.7  2001/01/22 07:20:30  raasch
+! Module test_variables removed
+!
+! Revision 1.6  1998/07/06 12:17:44  raasch
+! + USE test_variables
+!
+! Revision 1.5  1998/04/15 11:20:38  raasch
+! pt, usws und vsws werden an pres uebergeben
+!
+! Revision 1.4  1997/09/12 06:26:30  raasch
+! Wirbelradius jetzt proportional zur Gitterweite
+!
+! Revision 1.3  1997/09/09 08:29:24  raasch
+! Kehrwerte der Gitterweiten implementiert
+!
+! Revision 1.2  1997/08/26 06:31:33  raasch
+! +tend in pres-Aufruf
 !
 ! Revision 1.1  1997/08/11 06:18:43  raasch
@@ -41,53 +47,23 @@
 ! Description:
 ! ------------
-!> Initialize a (nondivergent) Rankine eddy with a vertical axis in order to test the advection
-!> terms and the pressure solver.
-!--------------------------------------------------------------------------------------------------!
- SUBROUTINE init_rankine
+! Initialize a (nondivergent) Rankine eddy with a vertical axis in order to test 
+! the advection terms and the pressure solver.
+!------------------------------------------------------------------------------!
 
-
-    USE arrays_3d,                                                                                 &
-        ONLY:  pt, pt_init, u, u_init, v, v_init
-
-    USE control_parameters,                                                                        &
-        ONLY:  initializing_actions, n_sor, nsor, nsor_ini
-
-    USE basic_constants_and_equations_mod,                                                         &
-        ONLY:  pi
-
-    USE exchange_horiz_mod,                                                                        &
-        ONLY:  exchange_horiz
-
-    USE grid_variables,                                                                            &
-        ONLY:  dx, dy
-
-    USE indices,                                                                                   &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt
-
-    USE kinds
+    USE arrays_3d
+    USE constants
+    USE grid_variables
+    USE indices
+    USE control_parameters
 
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i   !<
-    INTEGER(iwp) ::  ic  !<
-    INTEGER(iwp) ::  j   !<
-    INTEGER(iwp) ::  jc  !<
-    INTEGER(iwp) ::  k   !<
-    INTEGER(iwp) ::  kc1 !<
-    INTEGER(iwp) ::  kc2 !<
-
-    REAL(wp)     ::  alpha  !<
-    REAL(wp)     ::  betrag !<
-    REAL(wp)     ::  radius !<
-    REAL(wp)     ::  rc     !<
-    REAL(wp)     ::  uw     !<
-    REAL(wp)     ::  vw     !<
-    REAL(wp)     ::  x      !<
-    REAL(wp)     ::  y      !<
+    INTEGER ::  i, ic, j, jc, k, kc1, kc2
+    REAL    ::  alpha, betrag, radius, rc, uw, vw, x, y
 
 !
 !-- Default: eddy radius rc, eddy strength z,
 !--          position of eddy centre: ic, jc, kc1, kc2
-    rc  =  4.0_wp * dx
+    rc  =  4.0 * dx
     ic  =  ( nx+1 ) / 2
     jc  =  ic
@@ -96,42 +72,30 @@
 
 !
-!-- Reset initial profiles to constant profiles
-    IF ( INDEX(initializing_actions, 'set_constant_profiles') /= 0 )  THEN
-       DO  i = nxlg, nxrg
-          DO  j = nysg, nyng
-             pt(:,j,i) = pt_init
-             u(:,j,i)  = u_init
-             v(:,j,i)  = v_init
-          ENDDO
-       ENDDO
-    ENDIF
-
-!
 !-- Compute the u-component.
     DO  i = nxl, nxr
        DO  j = nys, nyn
-          x = ( i - ic - 0.5_wp ) * dx
-          y = ( j - jc          ) * dy
+          x = ( i - ic - 0.5 ) * dx
+          y = ( j - jc ) * dy
           radius = SQRT( x**2 + y**2 )
-          IF ( radius <= 2.0_wp * rc )  THEN
-             betrag = radius / ( 2.0_wp * rc ) * 0.08_wp
-          ELSEIF ( radius > 2.0_wp * rc  .AND.  radius < 8.0_wp * rc )  THEN
-             betrag = 0.08_wp * EXP( -( radius - 2.0_wp * rc ) / 2.0_wp )
+          IF ( radius <= 2.0 * rc )  THEN
+             betrag = radius / ( 2.0 * rc ) * 0.08
+          ELSEIF ( radius > 2.0 * rc  .AND.  radius < 8.0 * rc )  THEN
+             betrag = 0.08 * EXP( -( radius - 2.0 * rc ) / 2.0 )
           ELSE
-             betrag = 0.0_wp
+             betrag = 0.0
           ENDIF
 
-          IF ( x == 0.0_wp )  THEN
-             IF ( y > 0.0_wp )  THEN
-                alpha = pi / 2.0_wp
-             ELSEIF ( y < 0.0_wp )  THEN
-                alpha = 3.0_wp * pi / 2.0_wp
+          IF ( x == 0.0 )  THEN
+             IF ( y > 0.0 )  THEN
+                alpha = pi / 2.0
+             ELSEIF ( y < 0.0 )  THEN
+                alpha = 3.0 * pi / 2.0
              ENDIF
           ELSE
-             IF ( x < 0.0_wp )  THEN
+             IF ( x < 0.0 )  THEN
                 alpha = ATAN( y / x ) + pi
              ELSE
-                IF ( y < 0.0_wp )  THEN
-                   alpha = ATAN( y / x ) + 2.0_wp * pi
+                IF ( y < 0.0 )  THEN
+                   alpha = ATAN( y / x ) + 2.0 * pi
                 ELSE
                    alpha = ATAN( y / x )
@@ -152,27 +116,27 @@
     DO  i = nxl, nxr
        DO  j = nys, nyn
-          x = ( i - ic          ) * dx
-          y = ( j - jc - 0.5_wp ) * dy
+          x = ( i - ic ) * dx
+          y = ( j - jc - 0.5) * dy
           radius = SQRT( x**2 + y**2 )
-          IF ( radius <= 2.0_wp * rc )  THEN
-             betrag = radius / ( 2.0_wp * rc ) * 0.08_wp
-          ELSEIF ( radius > 2.0_wp * rc  .AND.  radius < 8.0_wp * rc )  THEN
-             betrag = 0.08_wp * EXP( -( radius - 2.0_wp * rc ) / 2.0_wp )
+          IF ( radius <= 2.0 * rc )  THEN
+             betrag = radius / ( 2.0 * rc ) * 0.08
+          ELSEIF ( radius > 2.0 * rc  .AND.  radius < 8.0 * rc )  THEN
+             betrag = 0.08 * EXP( -( radius - 2.0 * rc ) / 2.0 )
           ELSE
-             betrag = 0.0_wp
+             betrag = 0.0
           ENDIF
 
-          IF ( x == 0.0_wp )  THEN
-             IF ( y > 0.0_wp )  THEN
-                alpha = pi / 2.0_wp
-             ELSEIF ( y < 0.0_wp )  THEN
-                alpha = 3.0_wp * pi / 2.0_wp
+          IF ( x == 0.0 )  THEN
+             IF ( y > 0.0 )  THEN
+                alpha = pi / 2.0
+             ELSEIF ( y < 0.0 )  THEN
+                alpha = 3.0 * pi / 2.0
              ENDIF
           ELSE
-             IF ( x < 0.0_wp )  THEN
+             IF ( x < 0.0 )  THEN
                 alpha = ATAN( y / x ) + pi
              ELSE
-                IF ( y < 0.0_wp )  THEN
-                   alpha = ATAN( y / x ) + 2.0_wp * pi
+                IF ( y < 0.0 )  THEN
+                   alpha = ATAN( y / x ) + 2.0 * pi
                 ELSE
                    alpha = ATAN( y / x )
@@ -191,6 +155,6 @@
 !
 !-- Exchange of boundary values for the velocities.
-    CALL exchange_horiz( u, nbgp)
-    CALL exchange_horiz( v, nbgp )
+    CALL exchange_horiz( u, uxrp,    0 )
+    CALL exchange_horiz( v,    0, vynp )
 !
 !-- Make velocity field nondivergent.
Index: palm/trunk/SOURCE/init_slope.f90
===================================================================
--- palm/trunk/SOURCE/init_slope.f90	(revision 4901)
+++ palm/trunk/SOURCE/init_slope.f90	(revision 1)
@@ -1,34 +1,23 @@
-!> @file init_slope.f90
-!--------------------------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
-! Public License as published by the Free Software Foundation, either version 3 of the License, or
-! (at your option) any later version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
-! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-! Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with PALM. If not, see
-! <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------------------------!
-!
-! Current revisions:
+ SUBROUTINE init_slope
+
+!-------------------------------------------------------------------------------!
+! Actual revisions:
 ! -----------------
-!
+! 
 !
 ! Former revisions:
 ! -----------------
-! $Id$
-! file re-formatted to follow the PALM coding standard
+! $Log: init_slope.f90,v $
+! Revision 1.5  2006/02/23 12:35:34  raasch
+! nanz_2dh renamed ngp_2dh
 !
-! 4360 2020-01-07 11:25:50Z suehring
-! Corrected "Former revisions" section
+! Revision 1.4  2003/03/16 09:40:02  raasch
+! Two underscores (_) are placed in front of all define-strings
 !
-! 3655 2019-01-07 16:51:22Z knoop
-! Modularization of all bulk cloud physics code components
+! Revision 1.3  2001/03/30 07:33:59  raasch
+! Translation of remaining German identifiers (variables, subroutines, etc.)
+!
+! Revision 1.2  2001/01/22 07:21:35  raasch
+! Module test_variables removed
 !
 ! Revision 1.1  2000/04/27 07:06:24  raasch
@@ -38,56 +27,36 @@
 ! Description:
 ! ------------
-!> Initialization of the temperature field and other variables used in case of a sloping surface.
-!> @note when a sloping surface is used, only one constant temperature
-!>       gradient is allowed!
-!--------------------------------------------------------------------------------------------------!
- SUBROUTINE init_slope
+! Initialization of the temperature field and other variables used in case
+! of a sloping surface.
+! Remember: when a sloping surface is used, only one constant temperature
+!           gradient is allowed!
+!-------------------------------------------------------------------------------!
 
-
-    USE arrays_3d,                                                                                 &
-        ONLY:  pt, pt_init, pt_slope_ref, zu
-
-    USE basic_constants_and_equations_mod,                                                         &
-        ONLY:  pi
-
-    USE control_parameters,                                                                        &
-        ONLY:  alpha_surface, initializing_actions, pt_slope_offset, pt_surface,                   &
-               pt_vertical_gradient, sin_alpha_surface
-
-    USE grid_variables,                                                                            &
-        ONLY:  dx
-
-    USE indices,                                                                                   &
-        ONLY:  ngp_2dh, nx, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt
-
-    USE kinds
-
+    USE arrays_3d
+    USE constants
+    USE grid_variables
+    USE indices
     USE pegrid
-
+    USE control_parameters
 
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i        !<
-    INTEGER(iwp) ::  j        !<
-    INTEGER(iwp) ::  k        !<
-
-    REAL(wp)     ::  alpha    !<
-    REAL(wp)     ::  height   !<
-    REAL(wp)     ::  pt_value !<
-    REAL(wp)     ::  radius   !<
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  pt_init_local !<
+    INTEGER ::  i, j, k
+    REAL    ::  alpha, height, pt_value, radius
+    REAL, DIMENSION(:), ALLOCATABLE ::  pt_init_local
 
 !
 !-- Calculate reference temperature field needed for computing buoyancy
-    ALLOCATE( pt_slope_ref(nzb:nzt+1,nxlg:nxrg) )
+    ALLOCATE( pt_slope_ref(nzb:nzt+1,nxl-1:nxr+1) )
 
-    DO  i = nxlg, nxrg
+    DO  i = nxl-1, nxr+1
        DO  k = nzb, nzt+1
 
 !
-!--       Compute height of grid-point relative to lower left corner of the total domain.
-!--       First compute the distance between the actual grid point and the lower left corner as well
-!--       as the angle between the line connecting these points and the bottom of the model.
+!--       Compute height of grid-point relative to lower left corner of
+!--       the total domain.
+!--       First compute the distance between the actual grid point and the
+!--       lower left corner as well as the angle between the line connecting
+!--       these points and the bottom of the model.
           IF ( k /= nzb )  THEN
              radius = SQRT( ( i * dx )**2 + zu(k)**2 )
@@ -95,23 +64,25 @@
           ELSE
              radius = SQRT( ( i * dx )**2 )
-             height = 0.0_wp
+             height = 0.0
           ENDIF
-          IF ( radius /= 0.0_wp )  THEN
+          IF ( radius /= 0.0 )  THEN
              alpha = ASIN( height / radius )
           ELSE
-             alpha = 0.0_wp
+             alpha = 0.0
           ENDIF
 !
 !--       Compute temperatures in the rotated coordinate system
-          alpha    = alpha + alpha_surface / 180.0_wp * pi
-          pt_value = pt_surface + radius * SIN( alpha ) * pt_vertical_gradient(1) / 100.0_wp
+          alpha    = alpha + alpha_surface / 180.0 * pi
+          pt_value = pt_surface + radius * SIN( alpha ) * &
+                                  pt_vertical_gradient(1) / 100.0
           pt_slope_ref(k,i) = pt_value
-       ENDDO
+       ENDDO                
     ENDDO
 
 !
-!-- Temperature difference between left and right boundary of the total domain, used for the cyclic
-!-- boundary in x-direction
-    pt_slope_offset = (nx+1) * dx * sin_alpha_surface * pt_vertical_gradient(1) / 100.0_wp
+!-- Temperature difference between left and right boundary of the total domain,
+!-- used for the cyclic boundary in x-direction
+    pt_slope_offset = (nx+1) * dx * sin_alpha_surface * &
+                      pt_vertical_gradient(1) / 100.0
 
 
@@ -121,13 +92,13 @@
 !
 !--    Set initial temperature equal to the reference temperature field
-       DO  j = nysg, nyng
+       DO  j = nys-1, nyn+1
           pt(:,j,:) = pt_slope_ref
        ENDDO
 
 !
-!--    Recompute the mean initial temperature profile (mean along x-direction of the rotated
-!--    coordinate system)
+!--    Recompute the mean initial temperature profile (mean along x-direction of
+!--    the rotated coordinate system)
        ALLOCATE( pt_init_local(nzb:nzt+1) )
-       pt_init_local = 0.0_wp
+       pt_init_local = 0.0
        DO  i = nxl, nxr
           DO  j =  nys, nyn
@@ -136,17 +107,17 @@
              ENDDO
           ENDDO
-       ENDDO
+      ENDDO
 
 #if defined( __parallel )
-       IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( pt_init_local, pt_init, nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d, ierr )
+      CALL MPI_ALLREDUCE( pt_init_local, pt_init, nzt+2-nzb, MPI_REAL, &
+                           MPI_SUM, comm2d, ierr )
 #else
-       pt_init = pt_init_local
+      pt_init = pt_init_local
 #endif
 
-       pt_init = pt_init / ngp_2dh(0)
-       DEALLOCATE( pt_init_local )
+      pt_init = pt_init / ngp_2dh(0)
+      DEALLOCATE( pt_init_local )
 
-    ENDIF
+   ENDIF
 
  END SUBROUTINE init_slope
Index: palm/trunk/SOURCE/interaction_droplets_ptq.f90
===================================================================
--- palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 1)
+++ palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 1)
@@ -0,0 +1,85 @@
+ MODULE interaction_droplets_ptq_mod
+
+!------------------------------------------------------------------------------!
+! Actual revisions:
+! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Log: interaction_droplets_ptq.f90,v $
+! Revision 1.1  2005/06/26 19:57:47  raasch
+! Initial revision
+!
+!
+! Description:
+! ------------
+! Release of latent heat and change of specific humidity due to condensation /
+! evaporation of droplets.
+!------------------------------------------------------------------------------!
+
+    PRIVATE
+    PUBLIC interaction_droplets_ptq
+
+    INTERFACE interaction_droplets_ptq
+       MODULE PROCEDURE interaction_droplets_ptq
+       MODULE PROCEDURE interaction_droplets_ptq_ij
+    END INTERFACE interaction_droplets_ptq
+ 
+ CONTAINS
+
+
+!------------------------------------------------------------------------------!
+! Call for all grid points
+!------------------------------------------------------------------------------!
+    SUBROUTINE interaction_droplets_ptq
+
+       USE arrays_3d
+       USE cloud_parameters
+       USE control_parameters
+       USE indices
+
+       USE pegrid
+
+       IMPLICIT NONE
+
+       INTEGER ::  i, j, k
+
+ 
+       DO  i = nxl, nxr
+          DO  j = nys, nyn
+             DO  k = nzb_2d(j,i)+1, nzt
+                q_p(k,j,i)  = q_p(k,j,i)  - ql_c(k,j,i)
+                pt_p(k,j,i) = pt_p(k,j,i) + l_d_cp * ql_c(k,j,i)
+             ENDDO
+          ENDDO
+       ENDDO
+
+    END SUBROUTINE interaction_droplets_ptq
+
+
+!------------------------------------------------------------------------------!
+! Call for grid point i,j
+!------------------------------------------------------------------------------!
+    SUBROUTINE interaction_droplets_ptq_ij( i, j )
+
+       USE arrays_3d
+       USE cloud_parameters
+       USE control_parameters
+       USE indices
+
+       USE pegrid
+
+       IMPLICIT NONE
+
+       INTEGER ::  i, j, k
+
+
+       DO  k = nzb_2d(j,i)+1, nzt
+          q_p(k,j,i)  = q_p(k,j,i)  - ql_c(k,j,i)
+          pt_p(k,j,i) = pt_p(k,j,i) + l_d_cp * ql_c(k,j,i)
+       ENDDO
+
+    END SUBROUTINE interaction_droplets_ptq_ij
+
+ END MODULE interaction_droplets_ptq_mod
Index: palm/trunk/SOURCE/local_getenv.f90
===================================================================
--- palm/trunk/SOURCE/local_getenv.f90	(revision 1)
+++ palm/trunk/SOURCE/local_getenv.f90	(revision 1)
@@ -0,0 +1,66 @@
+ SUBROUTINE local_getenv( var, ivar, value, ivalue )
+
+!-------------------------------------------------------------------------------!
+! Actual revisions:
+! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Log: local_getenv.f90,v $
+! Revision 1.5  2003/05/09 14:37:07  raasch
+! On the MUK cluster, only PE0 is able to read environment variables.
+! Therefore, they have to be communicated via broadcast to the other PEs.
+!
+! Revision 1.4  2003/03/16 09:40:22  raasch
+! Two underscores (_) are placed in front of all define-strings
+!
+! Revision 1.3  2001/01/22 07:23:55  raasch
+! Comments translated into English
+!
+! Revision 1.2  1998/07/16 06:50:50  raasch
+! cpp-Direktiven fuer t3ej2 und t3ej5 erweitert
+!
+! Revision 1.1  1997/08/11 06:21:01  raasch
+! Initial revision
+!
+!
+! Description:
+! ------------
+! Getting the values of environment-variabls (for different operating-systems)
+!-------------------------------------------------------------------------------!
+
+#if defined( __lcmuk )
+    USE pegrid
+#endif
+    CHARACTER (LEN=*) ::  var, value
+    INTEGER           ::  ivalue, ivar
+#if defined( __t3eb ) || defined( __t3eh ) || defined( __t3ej2 ) || defined( __t3ej5 )
+    INTEGER           ::  dummy
+#endif
+#if defined( __lcmuk )
+    INTEGER            ::  i, ia(20)
+#endif
+
+#if defined( __t3eb ) || defined( __t3eh ) || defined( __t3ej2 ) || defined( __t3ej5 )
+    CALL PXFGETENV( var(1:ivar), ivar, value, ivalue, dummy )
+    IF ( ivalue == 0 )  value = ''
+#else
+    CALL GETENV( var(1:ivar), value )
+    ivalue = LEN_TRIM( value )
+#endif
+
+#if defined( __lcmuk )  &&  defined( __parallel )
+    ia = IACHAR( ' ' )
+    IF ( myid == 0 )  THEN
+       DO  i = 1, ivalue
+          ia(i) = IACHAR( value(i:i) )
+       ENDDO
+    ENDIF
+    CALL MPI_BCAST( ia(1), 20, MPI_INTEGER, 0, comm2d, ierr )
+    DO  i = 1, 20
+       IF ( ACHAR( ia(i) ) /= ' ' )  value(i:i) = ACHAR( ia(i) )
+    ENDDO
+    ivalue = LEN_TRIM( value )
+#endif
+ END SUBROUTINE local_getenv    
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 4901)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 1)
@@ -1,40 +1,14 @@
-!> @file local_stop.f90
-!--------------------------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
-! Public License as published by the Free Software Foundation, either version 3 of the License, or
-! (at your option) any later version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
-! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-! Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with PALM. If not, see
-! <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------------------------!
-!
-! Current revisions:
+ SUBROUTINE local_stop
+
+!-------------------------------------------------------------------------------!
+! Actual revisions:
 ! -----------------
-!
+! 
 !
 ! Former revisions:
 ! -----------------
-! $Id$
-! file re-formatted to follow the PALM coding standard
-!
-! 4564 2020-06-12 14:03:36Z raasch
-! Vertical nesting method of Huq et al. (2019) removed
-!
-! 4444 2020-03-05 15:59:50Z raasch
-! bugfix: misplaced cpp-directive moved
-!
-! 4360 2020-01-07 11:25:50Z suehring
-! Corrected "Former revisions" section
-!
-! 3655 2019-01-07 16:51:22Z knoop
-! Added an empty output string to stop keywords to clean up job protocol
+! $Log: local_stop.f90,v $
+! Revision 1.2  2003/03/16 09:40:28  raasch
+! Two underscores (_) are placed in front of all define-strings
 !
 ! Revision 1.1  2002/12/19 15:46:23  raasch
@@ -44,115 +18,14 @@
 ! Description:
 ! ------------
-!> Stop program execution
-!--------------------------------------------------------------------------------------------------!
- SUBROUTINE local_stop
-
-#if defined( __parallel )
-
-    USE control_parameters,                                                                        &
-        ONLY:  abort_mode, coupling_mode, coupling_mode_remote, dt_restart, stop_dt,               &
-               terminate_coupled, terminate_coupled_remote, terminate_run, time_restart
+! Stop program execution
+!-------------------------------------------------------------------------------!
 
     USE pegrid
 
-    USE pmc_interface,                                                                             &
-        ONLY:  nested_run
-
-
-    IF ( coupling_mode == 'uncoupled' )  THEN
-
-       IF ( nested_run )  THEN
-!
-!--       Workaround: If any of the nested model crashes, it aborts the whole run with MPI_ABORT,
-!--                   regardless of the reason given by abort_mode
-          CALL MPI_ABORT( MPI_COMM_WORLD, 9999, ierr )
-       ELSE
-          IF ( abort_mode == 1 )  THEN
-             CALL MPI_FINALIZE( ierr )
-             STOP 1
-          ELSEIF ( abort_mode == 2 )  THEN
-             CALL MPI_ABORT( comm2d, 9999, ierr )
-          ELSEIF ( abort_mode == 3 )  THEN
-             CALL MPI_ABORT( MPI_COMM_WORLD, 9999, ierr )
-          ENDIF
-       ENDIF
-
-    ELSE
-
-       SELECT CASE ( terminate_coupled_remote )
-
-          CASE ( 0 )
-             IF ( myid == 0 )  THEN
-                PRINT*, '+++ local_stop:'
-                PRINT*, '    local model "', TRIM( coupling_mode ), '" stops now'
-             ENDIF
-!
-!--          Inform the remote model of the termination and its reason, provided the remote model
-!--          has not already been informed of another termination reason (terminate_coupled > 0)
-!--          before.
-             IF ( terminate_coupled == 0 )  THEN
-                terminate_coupled = 1
-                IF ( myid == 0 ) THEN
-                   CALL MPI_SENDRECV(                                                              &
-                        terminate_coupled,        1, MPI_INTEGER, target_id,  0,                   &
-                        terminate_coupled_remote, 1, MPI_INTEGER, target_id,  0,                   &
-                        comm_inter, status, ierr )
-                ENDIF
-                CALL MPI_BCAST( terminate_coupled_remote, 1, MPI_REAL, 0, comm2d, ierr)
-             ENDIF
-             CALL MPI_FINALIZE( ierr )
-             STOP 1
-
-          CASE ( 1 )
-             IF ( myid == 0 )  THEN
-                PRINT*, '+++ local_stop:'
-                PRINT*, '    remote model "', TRIM( coupling_mode_remote ), '" stopped'
-             ENDIF
-             CALL MPI_FINALIZE( ierr )
-             STOP 1
-
-          CASE ( 2 )
-             IF ( myid == 0 )  THEN
-                PRINT*, '+++ local_stop:'
-                PRINT*, '    remote model "', TRIM( coupling_mode_remote ), '" terminated'
-                PRINT*, '    with stop_dt = .T.'
-             ENDIF
-             stop_dt = .TRUE.
-
-          CASE ( 3 )
-             IF ( myid == 0 )  THEN
-                PRINT*, '+++ local_stop:'
-                PRINT*, '    remote model "', TRIM( coupling_mode_remote ), '" terminated'
-                PRINT*, '    with terminate_run = .T. (CPU-time limit)'
-             ENDIF
-             terminate_run = .TRUE.
-
-          CASE ( 4 )
-             IF ( myid == 0 )  THEN
-                PRINT*, '+++ local_stop:'
-                PRINT*, '    remote model "', TRIM( coupling_mode_remote ), '" terminated'
-                PRINT*, '    with terminate_run = .T. (restart)'
-             ENDIF
-             terminate_run = .TRUE.
-             time_restart = time_restart + dt_restart
-
-          CASE ( 5 )
-             IF ( myid == 0 )  THEN
-                PRINT*, '+++ local_stop:'
-                PRINT*, '    remote model "', TRIM( coupling_mode_remote ), '" terminated'
-                PRINT*, '    with terminate_run = .T. (single restart)'
-             ENDIF
-             terminate_run = .TRUE.
-             time_restart = 9999999.9_wp
-
-       END SELECT
-
-    ENDIF
-
-#else
-
-    STOP 1
-
+#if defined( __parallel )
+    CALL MPI_FINALIZE( ierr )
 #endif
 
- END SUBROUTINE local_stop
+    STOP
+
+ END SUBROUTINE local_stop    
Index: palm/trunk/SOURCE/local_system.f90
===================================================================
--- palm/trunk/SOURCE/local_system.f90	(revision 4901)
+++ palm/trunk/SOURCE/local_system.f90	(revision 1)
@@ -1,34 +1,20 @@
-!> @file local_system.f90
-!!--------------------------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
-! Public License as published by the Free Software Foundation, either version 3 of the License, or
-! (at your option) any later version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
-! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-! Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with PALM. If not, see
-! <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------------------------!
-!
-! Current revisions:
+ SUBROUTINE local_system( command )
+
+!-------------------------------------------------------------------------------!
+! Actual revisions:
 ! -----------------
-!
+! 
 !
 ! Former revisions:
 ! -----------------
-! $Id$
-! file re-formatted to follow the PALM coding standard
+! $Log: local_system.f90,v $
+! Revision 1.4  2003/03/16 09:40:33  raasch
+! Two underscores (_) are placed in front of all define-strings
 !
-! 4360 2020-01-07 11:25:50Z suehring
-! Corrected "Former revisions" section
+! Revision 1.3  2001/01/22 07:25:35  raasch
+! Comments translated into English
 !
-! 3655 2019-01-07 16:51:22Z knoop
-! Corrected "Former revisions" section
+! Revision 1.2  1998/07/16 06:51:19  raasch
+! cpp-Direktiven fuer t3ej2 und t3ej5 erweitert
 !
 ! Revision 1.1  1997/09/03 06:27:27  raasch
@@ -38,12 +24,14 @@
 ! Description:
 ! ------------
-!> System calls for different operating systems
-!--------------------------------------------------------------------------------------------------!
- SUBROUTINE local_system( command )
+! System calls for different operating systems
+!-------------------------------------------------------------------------------!
 
+    CHARACTER (LEN=*) ::  command
 
-    CHARACTER (LEN=*) ::  command !<
+#if defined( __t3eb ) || defined( __t3eh ) || defined( __t3ej2 ) || defined( __t3ej5 )
+    CALL ISHELL( command )
+#else
+    CALL SYSTEM( command )
+#endif
 
-    CALL SYSTEM( command )
-
- END SUBROUTINE local_system
+ END SUBROUTINE local_system    
